/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */
'use strict';

exports.__esModule = true;
exports.default = supportsCSS;

var _supportsDOM = _interopRequireDefault(require("./supportsDOM"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function supportsCSS(supportCondition) {
  return (0, _supportsDOM.default)() && window.CSS != null && window.CSS.supports != null && window.CSS.supports(supportCondition);
}

module.exports = exports.default;