"use strict";

exports.__esModule = true;
exports.default = usePrefersColorScheme;

var _useMediaQuery = _interopRequireDefault(require("../__modules__/useMediaQuery"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */
function usePrefersColorScheme() {
  var prefersDark = (0, _useMediaQuery.default)('(prefers-color-scheme: dark)');
  return prefersDark ? 'dark' : 'light';
}

module.exports = exports.default;