"use strict";

exports.__esModule = true;
exports.default = activeElement;

var _supportsDOM = _interopRequireDefault(require("./supportsDOM"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */
// TODO: https://github.com/microsoft/fluentui/pull/8290/files
// TODO: https://stackoverflow.com/questions/25420219/find-focused-element-in-document-with-many-iframes

/**
 * Get the currently focused element
 */
function activeElement() {
  return (0, _supportsDOM.default)() ? document.activeElement : null;
}

module.exports = exports.default;