"use strict";

exports.__esModule = true;
exports.default = getBoundingClientRect;

/**
 * Copyright (c) Nicolas Gallagher.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */
function getBoundingClientRect(node) {
  if (node != null && // Node.ELEMENT_NODE
  node.nodeType === 1 && typeof node.getBoundingClientRect === 'function') {
    return node.getBoundingClientRect();
  }
}

module.exports = exports.default;